## pdns 4.0.0~alpha2

=== debian/changelog ===
pdns (4.0.0~alpha2-3build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:49:40 +0000

pdns (4.0.0~alpha2-3) unstable; urgency=medium

  * Drop unused libzmq-dev build-dependency (Closes: #818223)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 14 Mar 2016 20:08:39 +0000

pdns (4.0.0~alpha2-2) unstable; urgency=medium

  * Update Build-Dependencies for newer upstream version
  * Build with -latomic for mips(el)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 28 Feb 2016 20:34:31 +0000

pdns (4.0.0~alpha2-1) unstable; urgency=medium

  * Fix dbconfig-pgsql name
  * New upstream version: 4.0.0-alpha2

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 28 Feb 2016 17:28:31 +0000

pdns (4.0.0~alpha1-2) unstable; urgency=medium

  * Update systemd unit file from upstream.
  * Build with Lua 5.3 instead of 5.1.
  * Drop pdns-server-dbg in favor of automated dbgsym packages.
  * Fix zone2sql call in autopkgtests.
  * Use dbconfig-x metapackages instead of direct SQL DB clients.
    (Closes: #801565)
  * Disable secpoll by default.
  * Move daemon startup options out of default config. They are included in
    the sysvinit script and systemd unit file instead.

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 24 Feb 2016 21:52:47 +0000

pdns (4.0.0~alpha1-1) unstable; urgency=medium

  * New upstream version: 4.0.0-alpha1
    * Update debian/copyright.
    * Disable lmdb backend (gone upstream).
    * Add curl to Build-Depends.
    * Follow pdnssec -> pdnsutil rename.
    * Drop our mbedtls patch, as upstream now natively supports it.
  * Enable reproducible build.
  * Drop debconf questions that didn't really work.

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 25 Dec 2015 17:05:29 +0000

pdns (3.4.7-2) unstable; urgency=medium

  * Switch from polarssl to mbedtls (Closes: #808065)

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 15 Dec 2015 17:20:09 +0000
