=== debian/control ===
Source: pdns
Section: net
Priority: extra
Standards-Version: 3.9.7
Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>,
           Marc Haber <mh+debian-packages@zugschlus.de>,
           Christian Hofstaedtler <zeha@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               bison,
               curl,
               debhelper (>= 9~),
               dh-autoreconf,
               dh-systemd,
               dpkg-dev (>= 1.17.0~),
               flex,
               libboost-dev,
               libboost-program-options-dev,
               libboost-serialization-dev,
               libboost-test-dev,
               libbotan1.10-dev,
               libcdb-dev,
               libgeoip-dev,
               libldap2-dev,
               liblua5.3-dev,
               libmysqlclient-dev,
               libpq-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool,
               libyaml-cpp-dev (>= 0.5),
               pkg-config,
               po-debconf,
               ragel
Vcs-Git: git://anonscm.debian.org/pkg-pdns/pdns.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pdns/pdns.git
Homepage: http://www.powerdns.com/

Package: pdns-server
Architecture: any
Depends: adduser,
         lsb-base (>= 3.2-14),
         ucf (>= 0.28),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: pdns
Suggests: pdns-backend,
          pdns-recursor
Description: extremely powerful and versatile nameserver
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This is the authoritative nameserver that answers questions about
 domains that it knows about. It also includes the bind backend that
 allows PowerDNS to retrieve domain info from zone files as used by
 the "bind" software.

Package: pdns-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: pdns-server (<< 3.4.6-2)
Breaks: pdns-server (<< 3.4.6-2)
Description: Tools for DNS debugging by PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains several tools to debug DNS issues. These tools do not
 require any part of the PowerDNS server components to work.
 .
   * dnsbulktest: A resolver stress-tester
   * dnsgram: Show per 5-second statistics to study intermittent resolver issues
   * dnsreplay: Replay a pcap with DNS queries
   * dnsscan: Prints the query-type amounts in a pcap
   * dnsscope: Calculates statistics without replaying traffic
   * dnstcpbench: Perform TCP benchmarking of DNS servers
   * dnswasher: Clean a pcap of identifying IP information
   * nsec3dig: Calculate the correctness of NSEC3 proofs
   * saxfr: AXFR zones and show extra information

Package: pdns-backend-pipe
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: pipe/coprocess backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the pipe backend for the PowerDNS nameserver. This
 allows PowerDNS to retrieve domain info from a process that accepts
 questions on stdin and returns answers on stdout.

Package: pdns-backend-ldap
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: LDAP backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains an LDAP backend for the PowerDNS nameserver.

Package: pdns-backend-geoip
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: geoip backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a geoip-backend for the PowerDNS nameserver. This
 backend balances the load throughout the world so that people access the
 geographically nearest available server based on a zonefile written in
 YAML.

Package: pdns-backend-mysql
Architecture: any
Depends: dbconfig-common,
         dbconfig-mysql,
         pdns-server (>= ${source:Version}),
         ucf (>= 0.28),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: mysql-server
Provides: pdns-backend
Description: generic MySQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic MySQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-pgsql
Architecture: any
Depends: dbconfig-common,
         dbconfig-pgsql,
         pdns-server (>= ${source:Version}),
         ucf (>= 0.28),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: postgresql
Provides: pdns-backend
Description: generic PostgreSQL backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic PostgreSQL backend for the PowerDNS
 nameserver. It has configurable SQL statements.

Package: pdns-backend-sqlite3
Architecture: any
Depends: dbconfig-common,
         dbconfig-sqlite3,
         pdns-server (>= ${source:Version}),
         ucf (>= 0.28),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: sqlite 3 backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains a generic SQLite 3 backend for PowerDNS.

Package: pdns-backend-lua
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: Lua backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the Lua backend for PowerDNS.

Package: pdns-backend-remote
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: remote backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the remote backend for PowerDNS. It is suitable
 for serving data acquired from an AF_UNIX, pipe, or HTTP connector.

Package: pdns-backend-mydns
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: MyDNS compatibility backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the MyDNS compatibility backend for PowerDNS.

Package: pdns-backend-tinydns
Architecture: any
Depends: pdns-server (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pdns-backend
Description: tinydns compatibility backend for PowerDNS
 PowerDNS is a versatile nameserver which supports a large number
 of different backends ranging from simple zonefiles to relational
 databases and load balancing/failover algorithms.
 PowerDNS tries to emphasize speed and security.
 .
 This package contains the tinydns compatibility backend for PowerDNS.
