=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
opts="pgpsigurlmangle=s/$/.asc/" http://downloads.powerdns.com/releases/	pdns-([0-9]+.*)\.tar\.bz2	debian	uupdate
