## pdns 4.0.1

=== debian/changelog ===
pdns (4.0.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:28:57 +0000

pdns (4.0.1-1) unstable; urgency=medium

  * New upstream release, drop upstream applied patch. (Closes: #828490,
    #830808)

 -- Christian Hofstaedtler <zeha@debian.org>  Sat, 30 Jul 2016 20:38:41 +0000

pdns (4.0.0-5) unstable; urgency=medium

  * Prevent empty DEALLOCATE.
    Apply patch from upstream to prevent flooding PostgreSQL with empty
    DEALLOCATE SQL commands. (Closes: #831741)

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 21 Jul 2016 12:57:45 +0000

pdns (4.0.0-4) unstable; urgency=medium

  * debian/watch: Fix versionmangle for rc releases
  * Remove supermaster.conf during purge if empty

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 17 Jul 2016 20:15:27 +0000

pdns (4.0.0-3) unstable; urgency=medium

  * Avoid unchanged configuration prompt on upgrade from before 4.0.0-2
  * Override lintian W: non-standard-file-perm etc/powerdns/pdns.conf

 -- Christian Hofstaedtler <zeha@debian.org>  Fri, 15 Jul 2016 22:28:26 +0000

pdns (4.0.0-2) unstable; urgency=medium

  * Split bind backend into its own package and stop using ucf where possible
    (Closes: #701798)
  * Update README.Debian, remove outdated info
  * Drop "Replaces: pdns" which has not been needed since wheezy
  * Drop version on Depends: lsb-base, which is already fulfilled in oldstable
  * Drop version on Depends: ucf, which is already fulfilled in oldstable
  * debian/copyright: Add short license names where needed
  * Drop unused lintian overrides
  * Simplify maintainer scripts, stop stopping pdns-server in prerm
  * Ensure daemon startup errors do not cause dpkg to fail
  * Drop upgrade code from versions before oldoldstable
  * Drop unused lintian overrides (all of them)
  * pdns-backend-godbc: Stop registering example with ucf
  * Stop installing resolvconf recursor= update hook.
    Mixing authoritative and recursive in a single daemon is not
    recommended in the first place.
  * Rename example config files
  * Use dh_auto_configure and stop manually passing V=1 to make

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 14 Jul 2016 16:54:11 +0000

pdns (4.0.0-1) unstable; urgency=medium

  * New upstream release, drop upstream applied patches.
  * Update debhelper dependency for dbgsym options.
  * Move package to pkg-dns team.
  * Update debian/copyright for backend files, m4 files.

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 11 Jul 2016 13:16:07 +0200

pdns (4.0.0~beta1-2) unstable; urgency=medium

  * Drop extra -latomic, fixed upstream.
  * Import proposed patch renaming notify to pdns_notify. (Closes: #825804)
  * Enable OpenDBX backend. (Closes: #716726)
  * Enable godbc backend.
  * Enable random backend (part of the pdns-server binary package).

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 06 Jun 2016 20:36:37 +0000

pdns (4.0.0~beta1-1) unstable; urgency=medium

  * New upstream version.
    * Build with systemd Type=notify support and use it.
    * Merge some upstream packaging changes, gets us new tools and
      manpages in pdns-tools.
  * Stop patching config-dir in pdns.conf
  * pdns-backend-mysql: Fix ucf registration (Closes: #816362)

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 29 May 2016 14:43:55 +0000

pdns (4.0.0~alpha3-1) unstable; urgency=medium

  * d/watch: Set versionmangle for alpha releases
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * New upstream version.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 12 May 2016 11:29:14 +0000

pdns (4.0.0~alpha2-4) unstable; urgency=medium

  * Ensure server and backends are always updated together,
    otherwise strange errors occur at runtime/startup.
  * Update Vcs-* URLs to point to secure location.
  * Remove pdns-recursor from Suggests, typical installations will not
    have both.
  * Remove Matthijs Möhlmann from Uploaders for now.
  * Remove unused lintian overrides.
  * Fix lintian warnings:
    * Override possible-gpl-code-linked-with-openssl, we have a license
      exception.
    * Remove unused file paragraphs from debian/copyright.

 -- Christian Hofstaedtler <zeha@debian.org>  Thu, 24 Mar 2016 20:29:31 +0000
