=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: pdns
 Section: net
 Priority: extra
-Standards-Version: 3.9.7
-Maintainer: Debian PowerDNS Maintainers <pkg-pdns-maintainers@lists.alioth.debian.org>
-Uploaders: Matthijs Möhlmann <matthijs@cacholong.nl>,
-           Marc Haber <mh+debian-packages@zugschlus.de>,
-           Christian Hofstaedtler <zeha@debian.org>
+Standards-Version: 3.9.8
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Uploaders: Christian Hofstaedtler <zeha@debian.org>,
+           Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: autoconf,
                automake,
                autotools-dev,
                bison,
                curl,
-               debhelper (>= 9~),
+               debhelper (>= 9.20160114~),
                dh-autoreconf,
                dh-systemd,
                dpkg-dev (>= 1.17.0~),
@@ -26,28 +25,29 @@
                libldap2-dev,
                liblua5.3-dev,
                libmysqlclient-dev,
+               libopendbx1-dev,
                libpq-dev,
                libsqlite3-dev,
                libssl-dev,
+               libsystemd-dev,
                libtool,
                libyaml-cpp-dev (>= 0.5),
                pkg-config,
                po-debconf,
-               ragel
-Vcs-Git: git://anonscm.debian.org/pkg-pdns/pdns.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-pdns/pdns.git
-Homepage: http://www.powerdns.com/
+               ragel,
+               unixodbc-dev (>= 2.3.1)
+Vcs-Git: https://anonscm.debian.org/git/pkg-dns/pdns.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/pdns.git
+Homepage: https://www.powerdns.com/
 
 Package: pdns-server
 Architecture: any
 Depends: adduser,
-         lsb-base (>= 3.2-14),
-         ucf (>= 0.28),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Replaces: pdns
-Suggests: pdns-backend,
-          pdns-recursor
+         lsb-base,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: pdns-backend-bind
+Suggests: pdns-backend
 Description: extremely powerful and versatile nameserver
  PowerDNS is a versatile nameserver which supports a large number
  of different backends ranging from simple zonefiles to relational
@@ -55,9 +55,8 @@
  PowerDNS tries to emphasize speed and security.
  .
  This is the authoritative nameserver that answers questions about
- domains that it knows about. It also includes the bind backend that
- allows PowerDNS to retrieve domain info from zone files as used by
- the "bind" software.
+ domains that it knows about. You also need at least one backend installed to
+ serve data.
 
 Package: pdns-tools
 Architecture: any
@@ -81,12 +80,31 @@
    * dnsscope: Calculates statistics without replaying traffic
    * dnstcpbench: Perform TCP benchmarking of DNS servers
    * dnswasher: Clean a pcap of identifying IP information
+   * ixplore: Explore diffs from IXFRs
    * nsec3dig: Calculate the correctness of NSEC3 proofs
    * saxfr: AXFR zones and show extra information
 
+Package: pdns-backend-bind
+Architecture: any
+Depends: pdns-server (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: pdns-backend
+Replaces: pdns-server (<< 4.0.0-2~)
+Breaks: pdns-server (<< 4.0.0-2~)
+Description: BIND backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains the bind backend for the PowerDNS nameserver.
+ Zone data will be read from flat BIND-style zone files, and the list
+ of zones needs to be given in a named.conf-style file.
+
 Package: pdns-backend-pipe
 Architecture: any
-Depends: pdns-server (>= ${source:Version}),
+Depends: pdns-server (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
@@ -102,7 +120,7 @@
 
 Package: pdns-backend-ldap
 Architecture: any
-Depends: pdns-server (>= ${source:Version}),
+Depends: pdns-server (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
@@ -116,7 +134,7 @@
 
 Package: pdns-backend-geoip
 Architecture: any
-Depends: pdns-server (>= ${source:Version}),
+Depends: pdns-server (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
@@ -135,8 +153,8 @@
 Architecture: any
 Depends: dbconfig-common,
          dbconfig-mysql,
-         pdns-server (>= ${source:Version}),
-         ucf (>= 0.28),
+         pdns-server (= ${binary:Version}),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: mysql-server
@@ -150,12 +168,27 @@
  This package contains a generic MySQL backend for the PowerDNS
  nameserver. It has configurable SQL statements.
 
+Package: pdns-backend-odbc
+Architecture: any
+Depends: pdns-server (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: pdns-backend
+Description: generic UnixODBC backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains a generic UnixODBC backend for the PowerDNS
+ nameserver. It has configurable SQL statements.
+
 Package: pdns-backend-pgsql
 Architecture: any
 Depends: dbconfig-common,
          dbconfig-pgsql,
-         pdns-server (>= ${source:Version}),
-         ucf (>= 0.28),
+         pdns-server (= ${binary:Version}),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: postgresql
@@ -173,8 +206,8 @@
 Architecture: any
 Depends: dbconfig-common,
          dbconfig-sqlite3,
-         pdns-server (>= ${source:Version}),
-         ucf (>= 0.28),
+         pdns-server (= ${binary:Version}),
+         ucf,
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
@@ -188,7 +221,7 @@
 
 Package: pdns-backend-lua
 Architecture: any
-Depends: pdns-server (>= ${source:Version}),
+Depends: pdns-server (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
@@ -202,7 +235,7 @@
 
 Package: pdns-backend-remote
 Architecture: any
-Depends: pdns-server (>= ${source:Version}),
+Depends: pdns-server (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
@@ -215,9 +248,25 @@
  This package contains the remote backend for PowerDNS. It is suitable
  for serving data acquired from an AF_UNIX, pipe, or HTTP connector.
 
+Package: pdns-backend-opendbx
+Architecture: any
+Depends: pdns-server (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: pdns-backend
+Description: OpenDBX backend for PowerDNS
+ PowerDNS is a versatile nameserver which supports a large number
+ of different backends ranging from simple zonefiles to relational
+ databases and load balancing/failover algorithms.
+ PowerDNS tries to emphasize speed and security.
+ .
+ This package contains the OpenDBX backend for PowerDNS. Please install
+ the libopendbx1-DATABASE package to allow OpenDBX to connect to
+ the chosen database.
+
 Package: pdns-backend-mydns
 Architecture: any
-Depends: pdns-server (>= ${source:Version}),
+Depends: pdns-server (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
@@ -231,7 +280,7 @@
 
 Package: pdns-backend-tinydns
 Architecture: any
-Depends: pdns-server (>= ${source:Version}),
+Depends: pdns-server (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: pdns-backend
