=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                bison,
                curl,
                debhelper (>= 9.20160114~),
+               default-libmysqlclient-dev,
                dh-autoreconf,
                dh-systemd,
                dpkg-dev (>= 1.17.0~),
@@ -24,12 +25,11 @@
                libgeoip-dev,
                libldap2-dev,
                liblua5.3-dev,
-               libmysqlclient-dev,
                libopendbx1-dev,
                libpq-dev,
                libsqlite3-dev,
                libssl-dev,
-               libsystemd-dev,
+               libsystemd-dev [linux-any],
                libtool,
                libyaml-cpp-dev (>= 0.5),
                pkg-config,
@@ -43,7 +43,6 @@
 Package: pdns-server
 Architecture: any
 Depends: adduser,
-         lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: pdns-backend-bind
@@ -157,7 +156,7 @@
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: mysql-server
+Suggests: default-mysql-server
 Provides: pdns-backend
 Description: generic MySQL backend for PowerDNS
  PowerDNS is a versatile nameserver which supports a large number
