## pdns 4.0.4

=== debian/changelog ===
pdns (4.0.4-2) unstable; urgency=medium

  * Build with libsodium to support DNSSEC algo 15 (Closes: #867517)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 17 Jul 2017 11:10:12 +0000

pdns (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4.
  * Bump Standards-Version to 4.0.0.

 -- Christian Hofstaedtler <zeha@debian.org>  Tue, 04 Jul 2017 10:45:55 +0000
