=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,7 @@
 		--with-modules="" \
 		--with-pgsql-includes=`pg_config --includedir` \
 		--enable-botan1.10 \
+		--enable-libsodium \
 		--enable-tools \
 		--without-protobuf \
 		--enable-unit-tests \
