## pdns 4.1.1

=== debian/changelog ===
pdns (4.1.1-1) unstable; urgency=medium

  * Replace obsolete priority extra with optional
  * New upstream version 4.1.1

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 16 Feb 2018 10:49:37 +0000

pdns (4.1.0-2) unstable; urgency=medium

  * Update Maintainer: as alioth is going away
  * Update Vcs-* URLs to point to salsa.debian.org
  * Bump Standards-Version to 4.1.3 (no changes)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 18 Jan 2018 20:44:07 +0000

pdns (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0, upload to unstable.
  * Update dbconfig-common schema definitions.
  * Remove libbotan1.10-dev dependency, upstream has dropped support.
  * Remove obsolete --with-pgsql-includes configure argument.
  * Run make check at build time.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 02 Dec 2017 20:51:27 +0000

pdns (4.1.0~rc3-1) experimental; urgency=medium

  * New upstream version 4.1.0~rc3
  * Update upstream signing key
  * Bump Standards-Version to 4.1.1 (no changes)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2017 18:24:16 +0000

pdns (4.1.0~rc1-1) experimental; urgency=medium

  * New upstream version 4.1.0~rc1

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 06 Sep 2017 18:54:41 +0000

pdns (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5, fixes CVE-2017-15091
  * Update upstream signing key

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 Nov 2017 21:40:00 +0000
