=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pdns
 Section: net
-Priority: extra
-Standards-Version: 4.0.0
-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
-Uploaders: Christian Hofstaedtler <zeha@debian.org>,
+Priority: optional
+Standards-Version: 4.1.3
+Maintainer: pdns packagers <pdns@packages.debian.org>
+Uploaders: Chris Hofstaedtler <zeha@debian.org>,
            Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: autoconf,
                automake,
@@ -20,9 +20,9 @@
                libboost-program-options-dev,
                libboost-serialization-dev,
                libboost-test-dev,
-               libbotan1.10-dev,
                libcdb-dev,
                libgeoip-dev,
+               libkrb5-dev,
                libldap2-dev,
                liblua5.3-dev,
                libopendbx1-dev,
@@ -37,8 +37,8 @@
                po-debconf,
                ragel,
                unixodbc-dev (>= 2.3.1)
-Vcs-Git: https://anonscm.debian.org/git/pkg-dns/pdns.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/pdns.git
+Vcs-Git: https://salsa.debian.org/dns-team/pdns.git
+Vcs-Browser: https://salsa.debian.org/dns-team/pdns
 Homepage: https://www.powerdns.com/
 
 Package: pdns-server
