=== debian/rules ===
--- 
+++ 
@@ -31,8 +31,6 @@
 		--sysconfdir=/etc/powerdns \
 		--with-dynmodules="$(backends)" \
 		--with-modules="" \
-		--with-pgsql-includes=`pg_config --includedir` \
-		--enable-botan1.10 \
 		--enable-libsodium \
 		--enable-tools \
 		--without-protobuf \
@@ -70,7 +68,7 @@
 # Verbose tests (shows used compiler/linker and their flags)
 override_dh_auto_test:
 	echo Skipping make test, as dependencies are missing.
-	#dh_auto_test
+	make check
 
 override_dh_fixperms:
 	dh_fixperms
