=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,7 @@
 Tests: smoke-pgsql
 Depends: postgresql, pdns-server, pdns-backend-pgsql, dnsutils
 Restrictions: needs-root, isolation-container
+
+Tests: supported-algos
+Depends: pdns-server
+Restrictions: isolation-container
