## pdns 4.1.3

=== debian/changelog ===
pdns (4.1.3-5) unstable; urgency=medium

  * Tests: cleanup leftovers

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 01 Aug 2018 19:49:32 +0000

pdns (4.1.3-4) unstable; urgency=medium

  * Remove automatic database configuration.
    Some database backends previously used dbconfig-common as a convenient
    way of setting up the respective database server automatically,
    including upgrades of the database schema. This has caused numerous
    issues over the years, and has now been removed.
    As we no longer know the database server credentials, drop generation
    of configuration files.
    Closer to the upstream packages, too.
  * Reenable RestrictAddressFamilies on all architectures
  * Tests: Disable ipv6-requiring tests.
    The docker runners on salsa.d.o do not have working ::1.
  * Tests: Remove check for ECC-GOST

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 31 Jul 2018 07:42:26 +0000

pdns (4.1.3-3) unstable; urgency=medium

  * d/rules: print make check logfile on failure
  * d/rules: Reenable -Wall
  * d/rules: turn on all hardening flags

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Jul 2018 10:06:56 +0000

pdns (4.1.3-2) unstable; urgency=medium

  The yearly packaging cleanup release, from DebConf18.

  * Bump Standards-Version to 4.1.5
  * Use dh compat level 10, drop B-D on dh-autoreconf, dh-systemd,
    autotools-dev
  * d/rules: avoid directly calling $(shell ...)
  * Set Rules-Requires-Root: no
  * Honor nocheck build option

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 26 Jul 2018 06:51:59 +0000

pdns (4.1.3-1) unstable; urgency=medium

  * New upstream version 4.1.3

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Jun 2018 12:25:15 +0000

pdns (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2
  * Includes fix for CVE-2018-1046 in dnsreplay. (Closes: #898255)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 14 May 2018 11:17:08 +0000
