## pdns 4.1.6

=== debian/changelog ===
pdns (4.1.6-3) unstable; urgency=medium

  * Fix Denial of service via crafted zone records (CVE-2019-10162)
    using patch from upstream.
  * Fix Denial of service via NOTIFY packets (CVE-2019-10163)
    using patch from upstream.

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 21 Jun 2019 19:07:07 +0000

pdns (4.1.6-2) unstable; urgency=high

  [ Salvatore Bonaccorso ]
  * Insufficient validation in the HTTP remote backend (CVE-2019-3871)
    (Closes: #924966)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 31 Mar 2019 12:48:59 +0000

pdns (4.1.6-1) unstable; urgency=medium

  * New upstream version 4.1.6

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 03 Feb 2019 14:20:23 +0000

pdns (4.1.5-1) unstable; urgency=medium

  * Cleanup insserv.d and resolvconf hooks that we used to install
  * New upstream version 4.1.5 including fixes for CVE-2018-10851,
    CVE-2018-14626 (Closes: #913163).

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 09 Nov 2018 18:42:11 +0000

pdns (4.1.4-1) unstable; urgency=medium

  * New upstream version 4.1.4

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 29 Aug 2018 18:21:52 +0000
