=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,20 @@
 #!/usr/bin/make -f
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_ARCH_BITS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
+include /usr/share/dpkg/vendor.mk
 
 # Vendor and version
-version := $(shell dpkg-parsechangelog -SVersion).$(shell dpkg-vendor --query Vendor)
+version := $(DEB_VERSION).$(DEB_VENDOR)
 CXXFLAGS += -DPACKAGEVERSION='"$(version)"'
+
+# (Re-)Enable warnings
+CXXFLAGS += -Wall
+
+# Turn on all hardening flags, as we're a networked daemon.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Avoid test failure in docker.
+export PDNS_TEST_NO_IPV6=1
 
 # Backends
 backends := bind ldap pipe gmysql godbc gpgsql gsqlite3 geoip lua mydns remote random opendbx tinydns
@@ -18,12 +27,8 @@
 endif
 
 
-# Use new build system
 %:
-	dh $@ \
-	  --with autoreconf \
-	  --with systemd \
-	  --parallel
+	dh $@
 
 override_dh_auto_configure:
 	test -f pdns/dnslabeltext.cc && mv pdns/dnslabeltext.cc debian/dnslabeltext.cc.moved || true
@@ -60,15 +65,12 @@
 	  -e 's!# setuid=.*!setuid=pdns!' \
 	  -e 's!# security-poll-suffix=.*!&\nsecurity-poll-suffix=!' \
 	  > debian/pdns-server/etc/powerdns/pdns.conf
-ifeq ($(DEB_HOST_ARCH_BITS),32)
-	echo RestrictAddressFamilies is broken on 32bit, removing it from service file
-	perl -ni -e 'print unless /RestrictAddressFamilies/' debian/pdns-server/lib/systemd/system/*.service
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo Skipping make test, as dependencies are missing.
+	make check || (cat pdns/test-suite.log; false)
 endif
-
-# Verbose tests (shows used compiler/linker and their flags)
-override_dh_auto_test:
-	echo Skipping make test, as dependencies are missing.
-	make check
 
 override_dh_fixperms:
 	dh_fixperms
